﻿
body {
    font-family: 'Inter', sans-serif;
}

.hero-bg {
    transition: background-image 1s ease-in-out;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.animate-fade-up {
    animation: fadeInUp 0.8s ease-out forwards;
}

.delay-200 {
    animation-delay: 0.2s;
}

.delay-400 {
    animation-delay: 0.4s;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

.animate-scroll {
    animation: scroll 60s linear infinite;
    width: max-content;
    display: flex;
}

    .animate-scroll:hover {
        animation-play-state: paused;
    }

.ck-content ul {
    list-style: revert !important;
    padding-left: 1.5rem !important;
    margin: 0.5rem 0 !important;
}

.ck-content ol {
    list-style: revert !important;
    padding-left: 1.5rem !important;
    margin: 0.5rem 0 !important;
}

.ck-content li {
    margin: 0.5rem 1rem;
}

.ck-content .image {
    clear: both;
    text-align: center;
    min-width: 50px;
    margin: .9em auto;
    display: table
}

    .ck-content .image img {
        min-width: 100%;
        max-width: 100%;
        height: auto;
        margin: 0 auto;
        display: block
    }

.ck-content .image-inline {
    align-items: flex-start;
    max-width: 100%;
    display: inline-flex
}

    .ck-content .image-inline picture {
        display: flex
    }

    .ck-content .image-inline picture, .ck-content .image-inline img {
        flex-grow: 1;
        flex-shrink: 1;
        max-width: 100%
    }

.ck.ck-editor__editable .image > figcaption.ck-placeholder:before {
    padding-left: inherit;
    padding-right: inherit;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden
}

.ck.ck-editor__editable .image {
    z-index: 1
}

    .ck.ck-editor__editable .image.ck-widget_selected {
        z-index: 2
    }

.ck.ck-editor__editable .image-inline {
    z-index: 1
}

    .ck.ck-editor__editable .image-inline.ck-widget_selected {
        z-index: 2
    }

        .ck.ck-editor__editable .image-inline.ck-widget_selected ::selection {
            display: none
        }

    .ck.ck-editor__editable .image-inline img {
        height: auto
    }

.ck.ck-editor__editable td .image-inline img, .ck.ck-editor__editable th .image-inline img {
    max-width: none
}

.ck.ck-editor__editable img.image_placeholder {
    background-size: 100% 100%
}


:root {
    --ck-content-image-style-spacing: 1.5em;
    --ck-content-inline-image-style-spacing: calc(var(--ck-content-image-style-spacing) / 2)
}

.ck-content .image.image-style-block-align-left, .ck-content .image.image-style-block-align-right {
    max-width: calc(100% - var(--ck-content-image-style-spacing))
}

.ck-content .image.image-style-align-left, .ck-content .image.image-style-align-right {
    clear: none
}

.ck-content .image.image-style-side {
    float: right;
    margin-left: var(--ck-content-image-style-spacing);
    max-width: 50%
}

.ck-content .image.image-style-align-left {
    float: left;
    margin-right: var(--ck-content-image-style-spacing)
}

.ck-content .image.image-style-align-right {
    float: right;
    margin-left: var(--ck-content-image-style-spacing)
}

.ck-content .image.image-style-block-align-right {
    margin-left: auto;
    margin-right: 0
}

.ck-content .image.image-style-block-align-left {
    margin-left: 0;
    margin-right: auto
}

.ck-content .image-style-align-center {
    margin-left: auto;
    margin-right: auto
}

.ck-content .image-style-align-left {
    float: left;
    margin-right: var(--ck-content-image-style-spacing)
}

.ck-content .image-style-align-right {
    float: right;
    margin-left: var(--ck-content-image-style-spacing)
}

.ck-content p + .image.image-style-align-left, .ck-content p + .image.image-style-align-right, .ck-content p + .image.image-style-side {
    margin-top: 0
}

.ck-content .image-inline.image-style-align-left, .ck-content .image-inline.image-style-align-right {
    margin-top: var(--ck-content-inline-image-style-spacing);
    margin-bottom: var(--ck-content-inline-image-style-spacing)
}

.ck-content .image-inline.image-style-align-left {
    margin-right: var(--ck-content-inline-image-style-spacing)
}

.ck-content .image-inline.image-style-align-right {
    margin-left: var(--ck-content-inline-image-style-spacing)
}

